C# Класс Revit.Elements.Space

Наследование: Revit.Elements.Element
Показать файл Открыть проект

Private Properties

Свойство Тип Описание
CreateColorByteArrayOfSize byte[]
FromExisting Space
GetBoundarySegment List
GetIdentificationData string>.Dictionary
GetNearestLevel Autodesk.Revit.DB.Level
GetTransform Autodesk.Revit.DB.Transform
InitSpace void
InitSpace void
InternalSetSpace void
Space System
Space System
Tessellate void

Открытые методы

Метод Описание
ByPoint ( Point point ) : Space

Create a `MEP Space based on a location

ByPointAndLevel ( Point point, Revit.Elements.Level level ) : Space

Create a MEP Space based on a location and a level

FromElement ( Revit.Elements.Element element ) : Space

Create a MEP Space from an existing MEP Space

Grid ( double step ) : List

Return a grid of points in the space

IsInSpace ( Revit.Elements.Element element ) : bool

Determine if an element lies within the volume of the Space

ToString ( ) : string

OPTIONAL: Overriding ToString allows you to control what is displayed whenever the object's string representation is used. For example, ToString is called when the object is displayed in a Watch node.

Приватные методы

Метод Описание
CreateColorByteArrayOfSize ( int size, byte red, byte green, byte blue, byte alpha ) : byte[]
FromExisting ( Autodesk.Revit.DB space, bool isRevitOwned ) : Space

Create a space from an existing reference

GetBoundarySegment ( ) : List
GetIdentificationData ( ) : string>.Dictionary
GetNearestLevel ( Autodesk.Revit.DB point ) : Autodesk.Revit.DB.Level

Find the nearest level in the active document

GetTransform ( ) : Autodesk.Revit.DB.Transform
InitSpace ( Autodesk.Revit.DB room ) : void

Initialize a Space element

InitSpace ( Autodesk.Revit.DB level, Autodesk.Revit.DB point ) : void
InternalSetSpace ( Autodesk.Revit.DB space ) : void

Set the internal Element, ElementId, and UniqueId

Space ( Autodesk.Revit.DB space ) : System

Create from an existing Revit Element

Space ( Autodesk.Revit.DB level, Autodesk.Revit.DB point ) : System
Tessellate ( IRenderPackage package, TessellationParameters parameters ) : void

Описание методов

ByPoint() публичный статический Метод

Create a `MEP Space based on a location
public static ByPoint ( Point point ) : Space
point Point Location point for the space
Результат Space

ByPointAndLevel() публичный статический Метод

Create a MEP Space based on a location and a level
public static ByPointAndLevel ( Point point, Revit.Elements.Level level ) : Space
point Point Location point for the space
level Revit.Elements.Level Level of the space
Результат Space

FromElement() публичный статический Метод

Create a MEP Space from an existing MEP Space
public static FromElement ( Revit.Elements.Element element ) : Space
element Revit.Elements.Element The origin element
Результат Space

Grid() публичный Метод

Return a grid of points in the space
public Grid ( double step ) : List
step double Lenght between two points
Результат List

IsInSpace() публичный Метод

Determine if an element lies within the volume of the Space
public IsInSpace ( Revit.Elements.Element element ) : bool
element Revit.Elements.Element
Результат bool

ToString() публичный Метод

OPTIONAL: Overriding ToString allows you to control what is displayed whenever the object's string representation is used. For example, ToString is called when the object is displayed in a Watch node.
public ToString ( ) : string
Результат string